part of slang_retail_assistant;

abstract class RetailCondition implements BaseCondition {
  static final String NAME_SUCCESS = "success";
  static final String NAME_FAILURE = "failure_generic";

  // Search
  static final String NAME_ITEM_NOT_FOUND = "failure_item_not_found";
  static final String NAME_ITEM_OUT_OF_STOCK = "failure_out_of_stock";
  static final String NAME_ITEM_NOT_SPECIFIED = "item_not_specified";
  static final String NAME_ITEM_SIZE_REQUIRED = "size_required";
  static final String NAME_ITEM_QUANTITY_REQUIRED = "quantity_required";
  static final String NAME_ITEM_AMBIGUOUS = "ambiguous";
  static final String NAME_ITEM_AMBIGUOUS_FORCE_UI = "ambiguous_bailout";
  static final String NAME_ITEM_PUSH_PROMOTION_PERCENTAGE =
      "push_promotion_percentage";
  static final String NAME_ITEM_PUSH_PROMOTION_PRICE = "push_promotion_price";
  static final String NAME_ITEM_PUSH_PROMOTION_QUANTITY =
      "push_promotion_quantity";
  static final String NAME_ITEM_PUSH_PROMOTION_FREE_ITEM =
      "push_promotion_free_item";
  static final String NAME_ITEM_PUSH_PROMOTION_APP_TEXT =
      "push_promotion_app_text";

  // Order management
  static final String NAME_ORDER_NOT_FOUND = "order_does_not_exist";
  static final String NAME_ORDER_HISTORY_EMPTY = "no_orders";
  static final String NAME_ORDER_INDEX_REQUIRED = "index_required";
  static final String NAME_ORDER_CANCEL_CONFIRMATION_REQUIRED =
      "confirmation_required";
  static final String NAME_ORDER_CANCEL_USER_CONFIRMED = "user_confirmed";
  static final String NAME_ORDER_CANCEL_USER_DENIED = "user_denied";
  static final String NAME_ORDER_CANCEL_SELECT = "select_order";

  // Navigation
  static final String NAME_NAVIGATION_TARGET_NOT_SPECIFIED =
      "target_not_specified";

  late final String mName;
  RetailCondition(String name) {
    mName = name;
  }
  String getName() {
    return mName;
  }
}
